# Required
export AWS_ACCESS_KEY_ID=""

# Required
export AWS_SECRET_ACCESS_KEY="" 

# Required
export SPOTINST_TOKEN=""

# Optional
# export SPOTINST_ACCOUNT=""

# Required
export SPOTINST_CLOUD_PROVIDER="aws"

# Required
export KOPS_FEATURE_FLAGS="+SpotinstCloudProvider"

# Required
export KOPS_CLOUD_PROVIDER="spotinst"

# Required
export KOPS_STATE_STORE="s3://your-state-store-bucket"

# Required
export KOPS_CLUSTER_NAME="subdomain.your-dns-name.com"

# Required
export KOPS_CLUSTER_ZONES="us-east-1a,us-east-1b"

# Required
export PROTOKUBE_IMAGE="http://spotinst-public.s3.amazonaws.com/integrations/kubernetes/kops/v1.8.0-alpha.1/protokube/images/protokube.tar.gz"

# Required
export NODEUP_URL="http://spotinst-public.s3.amazonaws.com/integrations/kubernetes/kops/v1.8.0-alpha.1/nodeup/linux/amd64/nodeup"

# Optional
export KUBERNETES_VERSION="1.7.11"

# Optional
export KOPS_MASTER_SIZE="m4.large"

# Optional
export KOPS_MASTER_COUNT="1"

# Optional
export KOPS_NODE_SIZE="m4.large,m3.large,c4.large,c3.large"

# Optional
export KOPS_NODE_COUNT="2"
